@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const result = await nova.jobs.questionSets.getCurrent("job_abc123");curl -X GET "https://embed.nova.dweet.com/v1/jobs/job_abc123/question-sets/current" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"questionSet": {
"id": "<string>",
"jobId": "<string>",
"questions": [
{
"id": "<string>",
"question": "<string>",
"selectionType": "single",
"options": [
"<string>"
],
"hint": "<string>"
}
],
"expiresAt": "2023-11-07T05:31:56Z",
"guidance": "<string>"
}
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Criteria
Get Current Question Set
Retrieve the most recently generated question set for a job
GET
/
v1
/
jobs
/
{jobId}
/
question-sets
/
current
@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const result = await nova.jobs.questionSets.getCurrent("job_abc123");curl -X GET "https://embed.nova.dweet.com/v1/jobs/job_abc123/question-sets/current" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"questionSet": {
"id": "<string>",
"jobId": "<string>",
"questions": [
{
"id": "<string>",
"question": "<string>",
"selectionType": "single",
"options": [
"<string>"
],
"hint": "<string>"
}
],
"expiresAt": "2023-11-07T05:31:56Z",
"guidance": "<string>"
}
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Retrieve the most recently generated question set for a job. Use this when you need to re-display questions without storing the
If no question set exists for the job, the endpoint returns a
questionSetId.
When to use
- You didn’t store the
questionSetIdfrom the generation response - You want to show the latest questions in your UI after a page reload
- You need to check whether questions have been generated for a job
Example response
{
"questionSet": {
"id": "cmlz26fn5003dwp61u6vmj4mc",
"jobId": "job-123",
"questions": [
{
"id": "q1",
"selectionType": "single",
"question": "What level of seniority are you targeting?",
"options": ["Junior", "Mid", "Senior"],
"hint": "Helps calibrate experience requirements"
}
],
"guidance": "Answer these questions to calibrate criteria generation.",
"expiresAt": "2026-12-14T11:30:45Z"
}
}
404 with code QUESTION_SET_NOT_FOUND.
Related operations
Generate Questions
Generate a new question set for a job
Get Question Set by ID
Retrieve a specific question set by its ID
Authorizations
Use Authorization: Bearer sk_test_* or Authorization: Bearer sk_live_*.
Headers
Your customer identifier. Tenants are auto-provisioned on first request.
Path Parameters
Your job identifier (external ID).
Response
Question set
Show child attributes
Show child attributes
Was this page helpful?